curl --request GET \
--url https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"clearing_period_uid": "<string>",
"created_ts": "2026-02-20T08:00:00+00:00",
"direction": "inbound",
"message_type": "MSCONS",
"reference_id": "MSCONS-20260115-001",
"status": "processed",
"uid": "f8a9b0c1-d2e3-4f4a-8b5c-6d7e8f9a0b1c",
"error_message": "<string>",
"received_ts": "<string>",
"sent_ts": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}List Messages
List EDIFACT messages for a clearing period.
Filters: - message_type: IFTSTA, UTILMD, MSCONS, PARTIN - direction: inbound, outbound - status: pending, sent, delivered, acknowledged, etc.
curl --request GET \
--url https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/schedule-management/v1/mabis/clearing-periods/{uid}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"clearing_period_uid": "<string>",
"created_ts": "2026-02-20T08:00:00+00:00",
"direction": "inbound",
"message_type": "MSCONS",
"reference_id": "MSCONS-20260115-001",
"status": "processed",
"uid": "f8a9b0c1-d2e3-4f4a-8b5c-6d7e8f9a0b1c",
"error_message": "<string>",
"received_ts": "<string>",
"sent_ts": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Path Parameters
Clearing period unique identifier.
Query Parameters
Filter by EDIFACT message type: MSCONS, PRICAT, UTILMD, IFTSTA, PARTIN.
Filter by direction: inbound or outbound.
Filter by processing status: pending, processed, failed, or acknowledged.
Response
Successful Response
Parent Clearing Period identifier.
ISO 8601 datetime when this record was created.
"2026-02-20T08:00:00+00:00"
Message direction: inbound (received from TSO/DSO) or outbound (sent to TSO/DSO).
"inbound"
"outbound"
EDIFACT message type: MSCONS, PRICAT, UTILMD, IFTSTA, PARTIN, etc.
"MSCONS"
"PRICAT"
"IFTSTA"
EDIFACT reference identifier for this message.
"MSCONS-20260115-001"
Processing status: pending, processed, failed, or acknowledged.
"processed"
"pending"
Unique identifier for this message record.
"f8a9b0c1-d2e3-4f4a-8b5c-6d7e8f9a0b1c"
Error description if processing failed.
ISO 8601 datetime when the message was received (inbound only).
ISO 8601 datetime when the message was sent (outbound only).
Was this page helpful?